SMTP Mailboxes
Create Mailbox
Create a customer mailbox without returning its password.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
mailboxes
Create Mailbox
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes"
payload = {
"domain": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain: '<string>',
first_name: '<string>',
last_name: '<string>',
local_part: '<string>'
})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"local_part": "<string>",
"primary_email": "<string>",
"quota": {
"allowed": 123,
"used": 123
},
"status": "<string>",
"updated_at": "<string>",
"aliases": [
{
"alias": "<string>",
"is_catch_all": false
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Path Parameters
Body
application/json
Response
Mailbox creation timestamp
Domain UUID for the mailbox
Domain name for the mailbox
Mailbox user first name
Mailbox UUID
Mailbox user last name
Mailbox local part before the at sign
Primary mailbox email address
Mailbox lifecycle status
Mailbox last update timestamp
Workspace UUID for the mailbox
Workspace display name
Was this page helpful?
⌘I
Create Mailbox
